<script lang="ts">
  import type { TailwindColors } from '../../interfaces';

  export let color: TailwindColors = 'blue';
  export let rounded = false;
  export let size: 'xs' | 'sm' | 'md' | 'lg' = 'xs';
  export { clazz as class };

  let clazz: string | undefined = '';

  // todo support more options including: large/pill/bordered/links/icon/dismissible
  //      SEE https://flowbite.com/docs/components/badge/ for inspiration
</script>

<span
  class="bg-{color}-200 text-{color}-800 text-{size} font-medium px-2.5 py-0.5 inline-block
  dark:bg-{color}-900 dark:text-{color}-300 {rounded ? 'rounded-full' : 'rounded'} {clazz || ''}">
  <slot />
</span>
